1. Инициализируем репозиторий командой `git init`

    ```
    C:\Users\User\skv>git init
    Initialized empty Git repository in C:/Users/User/skv/.git/
    ```
1. Выполняем команду `git status`
    
    ```
    C:\Users\User\skv>git status
    On branch master

    No commits yet

    nothing to commit (create/copy files and use "git add" to track)
    ```
1. Создаем `README.MD`
1. Создаем `.gitignore`

1. Выполняем команду `git status`

    ```
 
On branch master

No commits yet

Untracked files:
  (use "git add <file>..." to include in what will be committed)
        .gitignore
        README.MD
        nothing added to commit but untracked files present (use "git add" to track)
    ```
1. Выполняем команду `git add`

    ```
    C:\Users\User\skv>git add .`
    ```
1. Выполняем команду `git status`

    ```
    C:\Users\User\skv>git status
    On branch master

    No commits yet

    Changes to be committed:
    (use "git rm --cached <file>..." to unstage)
        new file:   .gitignore
        new file:   README.MD
    ```
1. Выполняем команду `git commit`

    ```
    C:\Users\User\skv>git commit -m "Мой первый коммит"
    [master (root-commit) 2386a32] Мой первый коммит
    2 files changed, 0 insertions(+), 0 deletions(-)
     create mode 100644 .gitignore
     create mode 100644 README.MD
    ```
1.  Выполняем команду git log

```
commit 50d2c025281711723a78a5f50de4b30efd91534d (HEAD -> master, origin/master)
Author: ebogdanov <egorkabogdanov88@icloud.com>
Date:   Fri Jan 17 13:01:32 2025 +0300
```

    first commit
    
1. Выполняем команду git remote

`C:\Users\Admin\skv_laba1>git remote add origin https://kolei.ru/ebogdanov/laba1.git`

1. Выполняем команду git push

```
C:\Users\Admin\skv_laba1>git push origin master
Enumerating objects: 3, done.
Counting objects: 100% (3/3), done.
Delta compression using up to 12 threads
Compressing objects: 100% (2/2), done.
Writing objects: 100% (3/3), 227 bytes | 227.00 KiB/s, done.
Total 3 (delta 0), reused 0 (delta 0), pack-reused 0 (from 0)
To https://kolei.ru/ebogdanov/laba1.git
* [new branch]      master -> master
```

    